Bug 192329 - USB keyboard not working during boot.
USB keyboard not working during boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 17:55 EDT by John Bunch
Modified: 2008-05-06 11:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bunch 2006-05-18 17:55:32 EDT
Description of problem:
When booting from the Fedora Core 5 DVD or when booting from the hard disk after
installation has been completed, the keyboard is completely inoperative.
The keyboard is a Dell USB Enhanced Multimedia English Keyboard for Precision
Workstation.  The keyboard works fine in the BIOS, and also works fine after the
kernel has been started.

Version-Release number of selected component (if applicable):
grub-0.97-5

How reproducible:
Always.

Steps to Reproduce:
1.  Boot from the FC5 DVD or from the hard disk after installation.
2.a.  When booting from the DVD, press Enter to start installation.
2.b.  When booting from the hard disk, press a key to enter the grub program.
  
Actual results:
The keypresses are completely ignored.  The LEDs on the keyboard do not even
light up at this time.

Expected results:
The LEDs on the keyboard should light up and the boot programs should permit input.

Additional info:
Comment 1 John Bunch 2006-05-19 20:17:40 EDT
While changing my BIOS settings today, I discovered a workaround for this bug. 
In the Phoenix Award BIOS, under Advanced Chipset Control, I enabled USB Legacy
Support.  According to the SuperMicro PDSG4 motherboard user's manual, "This
setting allows you to enable or disable the functions of USB, Keyboard/Mouse
under POST (Power On Self Test) and DOS.  The options are Disabled (default) and
Enabled."  Parenthesized text added for clarity.  With this setting enabled, the
bug disappeared.
Comment 2 Bug Zapper 2008-04-03 22:55:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:55:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.